> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Product Variants

> Return the List of all Product Variants that are purchasable.



## OpenAPI

````yaml openapi/ecommerce.yaml get /public/{user_id}/products
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/products:
    get:
      tags:
        - Product
      summary: List Product Variants
      description: Return the List of all Product Variants that are purchasable.
      operationId: listProductVariants
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: eum
        - name: filter[code]
          in: query
          description: ''
          schema:
            type: string
            description: ''
            example: code-standard
          example: code-standard
        - name: filter[uuid]
          in: query
          description: ''
          schema:
            type: string
            description: ''
            example: 4cdf32b8-47e2-4714-88b4-9ab307a097f9
          example: 4cdf32b8-47e2-4714-88b4-9ab307a097f9
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                          example: 9adb3133-e755-3638-aa3b-a6bdb93f9548
                        name:
                          type: string
                          example: Asperiores nulla omnis.
                        code:
                          type: string
                          example: voluptate-neque-soluta-omnis-nisi-dolores-autem
                        short_description:
                          type: string
                          example: Voluptate neque impedit magnam illo qui aut.
                        price:
                          type: object
                          properties:
                            uuid:
                              type: string
                              example: 5cf3f6a9-f943-37d8-ae33-4085cc57476e
                            price:
                              type: object
                              properties:
                                currency:
                                  type: string
                                  example: USD
                                amount:
                                  type: string
                                  example: '463.00'
                                amount_minor:
                                  type: integer
                                  example: 46300
                            type:
                              type: string
                              example: recurring
                            recurrence:
                              type: object
                              properties:
                                occurrence:
                                  type: string
                                  example: month
                                period:
                                  type: integer
                                  example: 1
                                grace_period:
                                  type: integer
                                  example: 86400
                                is_unexpirable:
                                  type: boolean
                                  example: false
                            code:
                              type: string
                              example: code-5cf3f6a9-f943-37d8-ae33-4085cc57476e
                            is_default:
                              type: boolean
                              example: true
                            created_at:
                              type: string
                              example: '2026-03-03T14:05:32Z'
                            requires_external_termination:
                              type: boolean
                              example: false
                    example:
                      - uuid: 9adb3133-e755-3638-aa3b-a6bdb93f9548
                        name: Asperiores nulla omnis.
                        code: voluptate-neque-soluta-omnis-nisi-dolores-autem
                        short_description: Voluptate neque impedit magnam illo qui aut.
                        price:
                          uuid: 5cf3f6a9-f943-37d8-ae33-4085cc57476e
                          price:
                            currency: USD
                            amount: '463.00'
                            amount_minor: 46300
                          type: recurring
                          recurrence:
                            occurrence: month
                            period: 1
                            grace_period: 86400
                            is_unexpirable: false
                          code: code-5cf3f6a9-f943-37d8-ae33-4085cc57476e
                          is_default: true
                          created_at: '2026-03-03T14:05:32Z'
                          requires_external_termination: false
                      - uuid: d6acb42d-fae5-3269-8fe3-fc030c602e26
                        name: Blanditiis fugiat.
                        code: nostrum-dignissimos-repellendus-quae-blanditiis-harum
                        short_description: Vel rerum autem iusto eos.
                        price:
                          uuid: 6fd677ed-a7a5-340b-a5aa-541af4108111
                          price:
                            currency: USD
                            amount: '388.00'
                            amount_minor: 38800
                          type: recurring
                          recurrence:
                            occurrence: month
                            period: 1
                            grace_period: 86400
                            is_unexpirable: false
                          code: code-6fd677ed-a7a5-340b-a5aa-541af4108111
                          is_default: true
                          created_at: '2026-03-03T14:05:32Z'
                          requires_external_termination: false
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 2
                      per_page:
                        type: integer
                        example: 10
                example:
                  data:
                    - uuid: 9adb3133-e755-3638-aa3b-a6bdb93f9548
                      name: Asperiores nulla omnis.
                      code: voluptate-neque-soluta-omnis-nisi-dolores-autem
                      short_description: Voluptate neque impedit magnam illo qui aut.
                      price:
                        uuid: 5cf3f6a9-f943-37d8-ae33-4085cc57476e
                        price:
                          currency: USD
                          amount: '463.00'
                          amount_minor: 46300
                        type: recurring
                        recurrence:
                          occurrence: month
                          period: 1
                          grace_period: 86400
                          is_unexpirable: false
                        code: code-5cf3f6a9-f943-37d8-ae33-4085cc57476e
                        is_default: true
                        created_at: '2026-03-03T14:05:32Z'
                        requires_external_termination: false
                    - uuid: d6acb42d-fae5-3269-8fe3-fc030c602e26
                      name: Blanditiis fugiat.
                      code: nostrum-dignissimos-repellendus-quae-blanditiis-harum
                      short_description: Vel rerum autem iusto eos.
                      price:
                        uuid: 6fd677ed-a7a5-340b-a5aa-541af4108111
                        price:
                          currency: USD
                          amount: '388.00'
                          amount_minor: 38800
                        type: recurring
                        recurrence:
                          occurrence: month
                          period: 1
                          grace_period: 86400
                          is_unexpirable: false
                        code: code-6fd677ed-a7a5-340b-a5aa-541af4108111
                        is_default: true
                        created_at: '2026-03-03T14:05:32Z'
                        requires_external_termination: false
                  meta:
                    current_page: 1
                    total: 2
                    per_page: 10
              example:
                data:
                  - uuid: 9adb3133-e755-3638-aa3b-a6bdb93f9548
                    name: Asperiores nulla omnis.
                    code: voluptate-neque-soluta-omnis-nisi-dolores-autem
                    short_description: Voluptate neque impedit magnam illo qui aut.
                    price:
                      uuid: 5cf3f6a9-f943-37d8-ae33-4085cc57476e
                      price:
                        currency: USD
                        amount: '463.00'
                        amount_minor: 46300
                      type: recurring
                      recurrence:
                        occurrence: month
                        period: 1
                        grace_period: 86400
                        is_unexpirable: false
                      code: code-5cf3f6a9-f943-37d8-ae33-4085cc57476e
                      is_default: true
                      created_at: '2026-03-03T14:05:32.0000000+00:00'
                      requires_external_termination: false
                  - uuid: d6acb42d-fae5-3269-8fe3-fc030c602e26
                    name: Blanditiis fugiat.
                    code: nostrum-dignissimos-repellendus-quae-blanditiis-harum
                    short_description: Vel rerum autem iusto eos.
                    price:
                      uuid: 6fd677ed-a7a5-340b-a5aa-541af4108111
                      price:
                        currency: USD
                        amount: '388.00'
                        amount_minor: 38800
                      type: recurring
                      recurrence:
                        occurrence: month
                        period: 1
                        grace_period: 86400
                        is_unexpirable: false
                      code: code-6fd677ed-a7a5-340b-a5aa-541af4108111
                      is_default: true
                      created_at: '2026-03-03T14:05:32.0000000+00:00'
                      requires_external_termination: false
                meta:
                  current_page: 1
                  total: 2
                  per_page: 10
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````